﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Data;
using Telerik.Windows.Controls;
namespace TileViewSample
{
	public class BoolToTileStateConverter : IValueConverter
	{
		public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
		{
			var isMaximized = (bool)value;
			if (isMaximized)
				return TileViewItemState.Maximized;
			else
				return TileViewItemState.Restored;
		}

		public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
		{
			var tileState = (TileViewItemState)value;
			if (tileState == TileViewItemState.Maximized)
				return true;
			else
				return false;
		}
	}
}
