﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Telerik.Windows.Controls;

namespace TileViewSample
{
	public class MyItem : ViewModelBase
	{
		private TileViewItemState myTileState = TileViewItemState.Restored;
		public bool isMaximized = false;

		public string Header { get; set; }
		public bool IsMaximized
		{
			get
			{
				return this.isMaximized;
			}
			set
			{
				if (this.isMaximized != value)
				{
					this.isMaximized = value;
					this.OnPropertyChanged("IsMaximized");
				}
			}
		}
		public TileViewItemState MyTileState
		{
			get
			{
				return this.myTileState;
			}
			set
			{
				if (this.myTileState != value)
				{
					this.myTileState = value;
					this.OnPropertyChanged("MyTileState");
				}
			}
		}
	}
}
